# Flypbook

We’re working on a beach project where we create a library that will take screenshots of a journey test and put them in Google Drive every time we check in new code to GitHub that can help PMs and ADs and Sales show iterative delivery.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'flypbook'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install flypbook

## Usage

#### Geckodriver

Download the geckodriver for Firefox [here](https://github.com/mozilla/geckodriver/releases/) and add the file to your PATH. Also, install Firefox.

### Google Drive Integration

In order to save screenshots to Google Drive, you need to set up credentials via the Google Developer Console. Please follow the [command line authorization instructions](https://github.com/gimite/google-drive-ruby/blob/master/doc/authorization.md) steps 1 through 6. For step two, if using the pivotal.io domain, select an existing project called `labs-lmorley`.

After you receive your client id and secret, you'll also need to get a refresh token.

```
$ export GOOGLE_CLIENT_ID=<your client ID here>
$ export GOOGLE_CLIENT_SECRET=<your client secret here>
```

After that, run `retrieve_refresh_token` and set the refresh token:

```
$ export GOOGLE_REFRESH_TOKEN=<your refresh token here>
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/pivotal/flypbook. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
